:root {
    --color-accent: #1c51ba;
    --border-radius: 8px;
}

html, body {
    margin: 0;
    padding: 0;
    font-size: 16px;
    font-family: Inter, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
}

* {
    box-sizing: border-box;
}

input[type=text], input[type=date], input[type=range], textarea {
    width: 100%;
    padding: 1rem;
    border: 3px solid #dfdfdf;
    border-radius: var(--border-radius);
    outline: none;
    transition: all .125s;

    &:focus {
        border-color: var(--color-accent);
    }
}

select {
    width: 100%;
    padding: 1rem;
    border: 3px solid #dfdfdf;
    border-radius: var(--border-radius);
    outline: none;
    transition: all .125s;
    appearance: none;
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="10" fill="grey"><polygon points="0,0 16,0 8,10"/></svg>') no-repeat right 1rem center/.5rem;

    &:focus {
        border-color: var(--color-accent);
    }
}

button {
    width: 100%;
    padding: 1rem;
    border: none;
    border-radius: var(--border-radius);
    outline: none;
    cursor: pointer;
    transition: all .125s;
    font-weight: bold;

    &:hover {
        opacity: 0.75;
    }
}

/* m*-0rem */
.mt-0rem {
  margin-top: 0;
}

.mr-0rem {
  margin-right: 0;
}

.mb-0rem {
  margin-bottom: 0;
}

.ml-0rem {
  margin-left: 0;
}

/* m*-05rem */
.mt-05rem {
  margin-top: .5rem;
}

.mr-05rem {
  margin-right: .5rem;
}

.mb-05rem {
  margin-bottom: .5rem;
}

.ml-05rem {
  margin-left: .5rem;
}

/* m*-1rem */
.mt-1rem {
  margin-top: 1rem;
}

.mr-1rem {
  margin-right: 1rem;
}

.mb-1rem {
  margin-bottom: 1rem;
}

.ml-1rem {
  margin-left: 1rem;
}

/* m*-2rem */
.mt-2rem {
  margin-top: 2rem;
}

.mr-2rem {
  margin-right: 2rem;
}

.mb-2rem {
  margin-bottom: 2rem;
}

.ml-2rem {
  margin-left: 2rem;
}

/* m*-3rem */
.mt-3rem {
  margin-top: 3rem;
}

.mr-3rem {
  margin-right: 3rem;
}

.mb-3rem {
  margin-bottom: 3rem;
}

.ml-3rem {
  margin-left: 3rem;
}